com.sun.grid.jgdi.configuration

## Class JobSchedulingInfoImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.JobSchedulingInfoImpl

- All Implemented Interfaces:
    GEObject, JobSchedulingInfo, java.io.Serializable, java.lang.Cloneable

      public class JobSchedulingInfoImpl
      extends GEObjectImpl
      implements JobSchedulingInfo

  Java representation of the cull object SME_Type defined in sge_all_listsL.template

  Warning: The JobSchedulingInfoImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobSchedulingInfoImpl()` Create a new instance of JobSchedulingInfoImpl.
    `JobSchedulingInfoImpl(boolean initWithDefaultValues)` Create a new instanceof

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGlobalMessage(JobSchedulingMessage aglobalMessage)` Add a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute.
    `void` | `addMessage(JobSchedulingMessage amessage)` Add a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `JobSchedulingMessage` | `getGlobalMessage(int index)` Get a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute at an index.
    `int` | `getGlobalMessageCount()` Get the number of com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
    `java.util.List<JobSchedulingMessage>` | `getGlobalMessageList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
    `JobSchedulingMessage` | `getMessage(int index)` Get a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute at an index.
    `int` | `getMessageCount()` Get the number of com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
    `java.util.List<JobSchedulingMessage>` | `getMessageList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
    `boolean` | `isSetGlobalMessage()` Determine if the globalMessage attribute is set
    `boolean` | `isSetMessage()` Determine if the message attribute is set
    `void` | `removeAllGlobalMessage()` Remove all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
    `void` | `removeAllMessage()` Remove all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
    `JobSchedulingMessage` | `removeGlobalMessage(int index)` Remote a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute at an index.
    `boolean` | `removeGlobalMessage(JobSchedulingMessage aglobalMessage)` Remote a specific com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute.
    `JobSchedulingMessage` | `removeMessage(int index)` Remote a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute at an index.
    `boolean` | `removeMessage(JobSchedulingMessage amessage)` Remote a specific com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute.
    `void` | `setGlobalMessage(int index, JobSchedulingMessage aglobalMessage)` Set a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute.
    `void` | `setMessage(int index, JobSchedulingMessage amessage)` Set a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### JobSchedulingInfoImpl

          public JobSchedulingInfoImpl()

      Create a new instance of JobSchedulingInfoImpl. The new instance will not be initialized with the default values.

    - #### JobSchedulingInfoImpl

          public JobSchedulingInfoImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

  - ### Method Detail

    - #### addMessage

          public void addMessage(JobSchedulingMessage amessage)

      Add a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute.
      Parameters:
        `amessage` - the new com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute

    - #### setMessage

          public void setMessage(int index,
                                 JobSchedulingMessage amessage)

      Set a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute
        `amessage` - the new com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute

    - #### removeAllMessage

          public void removeAllMessage()

      Remove all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.

    - #### removeMessage

          public JobSchedulingMessage removeMessage(int index)

      Remote a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute or `null` if no attribute at this index is stored

    - #### removeMessage

          public boolean removeMessage(JobSchedulingMessage amessage)

      Remote a specific com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute.
      Parameters:
        `amessage` - the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute has been removed

    - #### getMessageList

          public java.util.List<JobSchedulingMessage> getMessageList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
      Specified by:
        `getMessageList` in interface `JobSchedulingInfo`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes

    - #### getMessageCount

          public int getMessageCount()

      Get the number of com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
      Specified by:
        `getMessageCount` in interface `JobSchedulingInfo`
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.

    - #### getMessage

          public JobSchedulingMessage getMessage(int index)

      Get a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute at an index.
      Specified by:
        `getMessage` in interface `JobSchedulingInfo`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute

    - #### isSetMessage

          public boolean isSetMessage()

      Determine if the message attribute is set
      Specified by:
        `isSetMessage` in interface `JobSchedulingInfo`
      Returns:
        `true` if the message attribute is set

    - #### addGlobalMessage

          public void addGlobalMessage(JobSchedulingMessage aglobalMessage)

      Add a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute.
      Parameters:
        `aglobalMessage` - the new com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute

    - #### setGlobalMessage

          public void setGlobalMessage(int index,
                                       JobSchedulingMessage aglobalMessage)

      Set a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute
        `aglobalMessage` - the new com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute

    - #### removeAllGlobalMessage

          public void removeAllGlobalMessage()

      Remove all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.

    - #### removeGlobalMessage

          public JobSchedulingMessage removeGlobalMessage(int index)

      Remote a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute or `null` if no attribute at this index is stored

    - #### removeGlobalMessage

          public boolean removeGlobalMessage(JobSchedulingMessage aglobalMessage)

      Remote a specific com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute.
      Parameters:
        `aglobalMessage` - the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute has been removed

    - #### getGlobalMessageList

          public java.util.List<JobSchedulingMessage> getGlobalMessageList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
      Specified by:
        `getGlobalMessageList` in interface `JobSchedulingInfo`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes

    - #### getGlobalMessageCount

          public int getGlobalMessageCount()

      Get the number of com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
      Specified by:
        `getGlobalMessageCount` in interface `JobSchedulingInfo`
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.

    - #### getGlobalMessage

          public JobSchedulingMessage getGlobalMessage(int index)

      Get a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute at an index.
      Specified by:
        `getGlobalMessage` in interface `JobSchedulingInfo`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute

    - #### isSetGlobalMessage

          public boolean isSetGlobalMessage()

      Determine if the globalMessage attribute is set
      Specified by:
        `isSetGlobalMessage` in interface `JobSchedulingInfo`
      Returns:
        `true` if the globalMessage attribute is set

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `JobSchedulingInfo`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.